// TD_DEMO.POV
// Sample .POV file for use with TIE_D.INC
#include "tie_d.inc"
#declare Stars = true

camera {
  location <3, 0, 7>
  //location <0, 0, 2>
  look_at <-.25,-.25,1>
}

light_source {
  <15,15,5>
  colour rgb 1
}

light_source {
  <-5,-5,25>
  colour rgb 1
}

#declare wing_angle = 20
object {Tie_D rotate z*-10}

// Stars
#if(Stars)
#declare R1 = seed(1701)		//Any number
#declare R2 = seed(2000)        //Any number
#declare C1 = seed(1001)
#declare C2 = seed(543)
#declare C3 = seed(782)
#declare R3 = seed(123)
#declare MaxDist = 90000
#declare MinDist = 90000
#declare starnum = 5000
#declare multicolor=1
#declare Count=0
union{
#while (Count < starnum)
   #declare theta = radians(rand(R1)*-180)
   #declare phi = radians(rand(R2)*180)
   #declare Dist = MinDist + rand(R3)*(MaxDist-MinDist)
   #declare Tmpz= sin(phi)*sin(theta)*Dist
   #declare Tmpx= sin(phi)*cos(theta)*Dist
   #declare Tmpy= cos(phi)*Dist

   #declare Bcol = rand(C1)
   #if (Bcol < 0.5) #declare Bcol = Bcol +0.5 #end
   #declare Rcol = rand(C2)
   #if (Rcol < 0.5) #declare Rcol = Rcol +0.5 #end
   #declare Gcol = rand(C3)
   #if (Gcol < 0.5) #declare Gcol = Gcol +0.5 #end

  sphere
  {
    <0, 0, 0>, .2 + 0.15*(Rcol)
	scale 750 // Scale to what ever you want
    translate <Tmpx, Tmpy, Tmpz>
    #if (multicolor)
	pigment { onion color_map{[0
		#declare Decide = rand(R3)
		#if (Decide < 0.25) color rgb <Rcol, Gcol, Bcol>*1.75
		#else color rgb <1.75,1.75,1.75>*(1-(1-Decide))
		#end
        ] [1 rgb 0]} scallop_wave
    }
    #else
    pigment { onion color_map{[0 rgb 1] [1 rgb 0]} scallop_wave }
    #end
    finish{ambient 1.0 diffuse 0.0}
  }

  #declare Count=Count+1
#end
}
#end
